\chapter*{Thanks}

I would like to thank Alessandra for directing my internship at IMDEA, its a great place for starting my research career. And thank you Julio for your understanding and patience with the logistical nightmare behind the submission of this work.
